Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

devbox_id
string

Devbox ID to filter by.

source_blueprint_id
string

Source Blueprint ID to filter snapshots by.

metadata[key]
string

Filter snapshots by metadata key-value pair. Can be used multiple times for different keys.

metadata[key][in]
string

Filter snapshots by metadata key with multiple possible values (OR condition).

limit
integer<int32>

The limit of items to return. Default is 20. Max is 5000.

starting_after
string

Load the next page of data starting after the item with the given ID.

include_total_count
boolean

If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.

Response

OK

snapshots
object[]
required

List of snapshots matching filter.

has_more
boolean
required
total_count
integer<int32> | null